# Uses of Class
org.codehaus.janino.Java.ThisReference

Packages that use Java.ThisReference
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ThisReference in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.ThisReference
Modifier and Type
Method
Description
`R`
Visitor.RvalueVisitor.`visitThisReference(Java.ThisReference tr)`
Invoked by `Java.ArrayLength.accept(Visitor.RvalueVisitor)`

## Uses of Java.ThisReference in org.codehaus.janino.util

Methods in org.codehaus.janino.util with parameters of type Java.ThisReference
Modifier and Type
Method
Description
`Java.Rvalue`
DeepCopier.`copyThisReference(Java.ThisReference subject)`
`void`
AbstractTraverser.`traverseThisReference(Java.ThisReference tr)`
`void`
Traverser.`traverseThisReference(Java.ThisReference tr)`